body {
/* SCSS HSL */
	--color1: hsla(4, 79%, 59%, 1); /*fire-opal*/
	--color2: hsla(35, 61%, 90%, 1); /*antique-white*/
	--color3: hsla(174, 59%, 56%, 1); /*medium-turquoise*/
	--color4: hsla(166, 16%, 26%, 1); /*dark-slate-gray*/
	--color5: hsla(0, 0%, 0%, 1); /*black*/
	background-color: white;
}

main {

	position: relative;
	height: 100vh;
	display: grid;
	grid-template-columns: 1fr 10%;
  grid-template-rows: 10% 1fr;

}

.puzzle-header {
    margin-left: 1em;
    font-size: 40px;
    font-family: 'puzzleCryptoregular';
}

.puzzle-header:hover {
    font-family: 'puzzleregular';
}

.user-profile {
	position: absolute;
	top: 35%;
	left: 65%;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-items: center;
	justify-content: center;
  background-color: var(--color3);
  font-family: monospace;
  font-size: 1.8rem;
  line-height: 3rem;
  border: 1rem inset var(--color1);
  border-radius: 20px;
	grid-row: 2;
	grid-column: 1;
	width: 25%;
	height: 35%;
	margin: auto;
}

img {
	width: 100px;
	height: 150px;
	border-radius: 50%;
}

.user-info {
	padding-left: 5px;
}

#puzzle-info {
    display: flex;
    flex-direction: column;
    margin: auto;
    font-family: monospace;
    text-align: center;
  width: 60%;
	font-size: 1.25rem;
	grid-row: 1;
	grid-column: 1 / 3;
}

h2, p {
	font-family: monospace;
	margin: 1rem;
}

#puzzle-name {
	font-size: 55px;
	font-family: 'puzzleregular';
	margin-top: 1rem;
	margin-bottom: .5rem;
}

.start {
  position: absolute;
  top: 14%;
  left: 44%;
  background-color: var(--color3);
  padding: 5px;
  border-radius: 10px;
	width: fit-content;
	margin: auto;
  font-family: monospace;
	grid-row: 2;
	grid-column: 1;
}


.tile-map {
  position: absolute;
	top: 20%;
	left: 38.5%;
	margin: auto;
	display: grid;
	grid-template-rows: 1fr 1fr 1fr;
	grid-template-columns: 1fr 1fr 1fr;
	width: 22%;
	height: 50%;
	border: 1em inset var(--color3);
	border-radius: 10px;
	background-color: hsla(4, 79%, 59%, .9);
	grid-row: 2;
	grid-column: 1;
}

.space {
	display: flex;
	align-items: center;
	justify-content: center;
}

.tile {
	display: flex;
	align-items: center;
	justify-content: center;
	width: 90%;
	height: 90%;
	background-color: hsla(166, 16%, 26%, .9);
	border-radius: 10px;
	box-shadow: hsla(166, 16%, 1%, 1) 2px 2px;
	color: var(--color2);
	text-shadow: hsla(174, 59%, 20%, 1) 2px 2px;
	font-family: 'Shadows Into Light', cursive;
	font-weight: bold;
	font-size: 2rem;
}

#win-or-lose {
	display: none;
	justify-content: center;
	align-items: center;
	width: 20%;
	height: fit-content;
	padding: 5px;
	background-color: var(--color1);
	color: var(--color5);
	border: 2px dotted var(--color4);
	border-radius: 10px;
	box-shadow: 5px 5px 50px var(--color3);
	font-size: 1.3rem;
	font-family: monospace;
	text-align: center;
}

@font-face {
    font-family: 'puzzleregular';
    src: url('../assets/fonts/puzzlefade-webfont.woff2') format('woff2'),
		 url('../assets/fonts/puzzlefade-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}

@font-face {
    font-family: 'puzzleCryptoregular';
    src: url('../assets/fonts/puzzle_font-webfont.woff2') format('woff2'),
         url('../assets/fonts/puzzle_font-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}

